- Qt 6.7
- Qt Virtual Keyboard
- C++ Classes
- QVirtualKeyboardDictionary
- Qt Virtual Keyboard | Commercial or GPLv3

# QVirtualKeyboardDictionary Class

An application-defined dictionary for virtual keyboard input methods. More...

Header: | #include <QVirtualKeyboardDictionary>
CMake: | find_package(Qt6 REQUIRED COMPONENTS VirtualKeyboard) target_link_libraries(mytarget PRIVATE Qt6::VirtualKeyboard)
qmake: | QT += virtualkeyboard
Inherits: | QObject

- List of all members, including inherited members

## Properties

- contents : QStringList
- name : const QString

## Public Functions

QStringList | contents() const
QString | name() const
void | resetContents()
void | setContents(const QStringList &contents)

## Signals

void | contentsChanged()

## Detailed Description

This class defines a named dictionary that consists of words or phrases. The dictionary can be enabled in the desired context and its usage depends on the current input method of the virtual keyboard.

## Property Documentation

### contents : QStringList

contents of the dictionary.

This property holds the contents of the dictionary. Typically, the content consists of words or phrases. Note that the dictionary is language neutral, meaning it is the application's responsibility to localize the dictionary if it contains language-dependent data.

The content can be set at any time, although it makes sense to set it when the input method is not active.

Access functions:

QStringList | contents() const
void | setContents(const QStringList &contents)
void | resetContents()

Notifier signal:

void | contentsChanged()

### `[read-only]` name : const QString

name of the dictionary.

This property holds the name of the dictionary that was specified when the dictionary was created. The name is necessary when referring to a specific dictionary (for example when you activate it in the input context).

Note: The dictionary name cannot be changed later.

Access functions:

QString | name() const